.\" Copyright (c) 1986, 1987, University of Utah
.TH RLE_ROW_ALLOC 3 2/2/87 3
.UC 4 
.SH NAME
.HP
rle_row_alloc \- Allocate scanline memory for rle_putrow or rle_getrow.
.PD 0
.HP
rle_row_free \- Free scanline memory allocated by rle_row_alloc.
.PD
.SH SYNOPSIS
.B
#include <rle.h>
.sp
.B
rle_row_alloc( the_hdr, scanp )
.br
.B
rle_hdr * the_hdr;
.br
.B
rle_pixel *** scanp;
.sp
.B
rle_row_free( the_hdr, scanp )
.br
.B
rle_hdr * the_hdr;
.br
.B
rle_pixel ** scanp;
.SH DESCRIPTION
The function
.I rle_row_alloc
is provided to make it easier to allocate storage for use by the RLE
functions.  It examines the
.I the_hdr
structure provided and returns (via its other argument) newly
allocated space suitable for reading from or writing to an RLE file
described by the
.I the_hdr
structure.
.I rle_row_alloc
allocates
.RI ( the_hdr \(-> xmax " + 1)"
bytes for each scanline, to allow for 
.I rle_getrow
usage.  Only those rows enabled by the bit-map in
.I the_hdr
will have memory allocated.

To free memory allocated by
.IR rle_row_alloc (3),
call
.I rle_row_free
with the pointer to the allocated storage.
.SH SEE ALSO
.nj
.IR rle_hdr (3),
.IR rle_getrow (3),
.IR rle_putrow (3),
.IR librle (3),
.IR RLE (5).
.SH AUTHOR
Spencer W. Thomas
.br
University of Utah

